Skip to main content
GET
/
api
/
dashboard
/
memories
Browse all memories
curl --request GET \
  --url https://api.example.com/api/dashboard/memories \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": 123,
      "topic": "<string>",
      "content": "<string>",
      "memory_type": "<string>",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "project": "<string>",
      "scope": "<string>",
      "source": "manual"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

memory_type
enum<string> | null

Filter by memory type

Available options:
commitment,
decision,
blocker,
pattern,
preference,
context
scope
enum<string> | null

Filter by scope (personal or work)

Available options:
personal,
work
project
string | null

Filter by project name

source
enum<string> | null

Filter by source (manual, hook, or auto)

Available options:
manual,
hook,
auto
limit
integer
default:50

Max items to return

Required range: 1 <= x <= 100
offset
integer
default:0

Offset for pagination

Required range: x >= 0

Response

Successful Response

Paginated list of memories.

items
MemoryItem · object[]
required
total
integer
required